Bug 229431 - emulators/linux-c7: update to 7.6.1810
Summary: emulators/linux-c7: update to 7.6.1810
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-30 16:38 UTC by Piotr Kubaj
Modified: 2019-06-08 13:16 UTC (History)
6 users (show)

See Also:
pi: maintainer-feedback+


Attachments
patch (132.64 KB, patch)
2018-06-30 16:38 UTC, Piotr Kubaj
no flags Details | Diff
patch (136.00 KB, patch)
2018-07-02 00:25 UTC, Piotr Kubaj
no flags Details | Diff
patch (133.26 KB, patch)
2018-07-04 17:08 UTC, Piotr Kubaj
no flags Details | Diff
patch (132.93 KB, patch)
2018-08-22 13:39 UTC, Piotr Kubaj
no flags Details | Diff
patch (132.72 KB, patch)
2018-08-24 14:41 UTC, Piotr Kubaj
no flags Details | Diff
patch (158.65 KB, patch)
2018-12-12 19:00 UTC, Piotr Kubaj
no flags Details | Diff
patch2 (290.75 KB, patch)
2019-06-01 15:53 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-06-30 16:38:24 UTC
Created attachment 194793 [details]
patch

Tested with both amd64 and i386 jails.

Already includes updates to 7.5.
Comment 1 Johannes Jost Meixner freebsd_committer 2018-07-01 06:13:48 UTC
Very cool, thanks Piotr.

Did you try any of the Desktop utils or games using it to see if they still work?
Comment 2 Piotr Kubaj freebsd_committer 2018-07-02 00:09:55 UTC
(In reply to Johannes Jost Meixner from comment #1)
Yes, e.g. FTL from GoG runs with it.
Comment 3 Piotr Kubaj freebsd_committer 2018-07-02 00:25:51 UTC
Created attachment 194822 [details]
patch

Small correction - remove PORTREVISION from emulators/linux-c7.
Comment 4 Piotr Kubaj freebsd_committer 2018-07-04 17:08:26 UTC
Created attachment 194881 [details]
patch

Updates to several packages (binutils, kernel, motif).
Comment 5 Piotr Kubaj freebsd_committer 2018-08-22 13:39:40 UTC
Created attachment 196441 [details]
patch

Another bunch of updates.
Comment 6 Piotr Kubaj freebsd_committer 2018-08-24 14:41:56 UTC
Created attachment 196499 [details]
patch

I updated both 6.9 to 6.10 and 7.4 to 7.5 in linux.mk by mistake.

This diff fixes that.
Comment 7 Kurt Jaeger freebsd_committer 2018-08-26 20:11:19 UTC
Testbuilds@work
Comment 8 Kurt Jaeger freebsd_committer 2018-08-26 20:45:54 UTC
devel/linux-c7-devtools fails to package on 10.4-i386:

http://people.freebsd.org/~pi/logs/linux-c7-devtools-7.5.1804.log

any idea ?
Comment 9 Piotr Kubaj freebsd_committer 2018-08-27 18:38:06 UTC
(In reply to Kurt Jaeger from comment #8)
Does it build for 11?

If it does, we may just disable building for 10.
Comment 10 Kurt Jaeger freebsd_committer 2018-08-30 19:13:28 UTC
(In reply to Piotr Kubaj from comment #9)
I tried to analyse it, but something else is still building and I need to
re-analyse it when that build is done.
Comment 11 Kurt Jaeger freebsd_committer 2018-09-02 10:57:07 UTC
About the problem with devel/linux-c7-devtools:

- devtools fails to build for 10.4i
- It's because the pkg-plist.i386 has files that are not installed:
===>  Building package for linux-c7-devtools-7.5.1804
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/linux-c7-devtools/work/stage/compat/linux/usr/lib/libbfd-2.27-27.base.el7.so:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/linux-c7-devtools/work/stage/compat/linux/usr/lib/libopcodes-2.27-27.base.el7.so:No such file or directory
- those files can be found in
  http://mirror.centos.org/altarch/7.5.1804/os/i386/Packages/binutils-2.27-27.base
.el7.i686.rpm
  but this file is never fetched.

Building the port with poudriere on a amd64 host with a 11.1i or 10.4i jail fails with a huge list of

[00:01:40] Removing existing /compat/linux
rm: /pou/data/.m/11i-default/ref/compat/linux/proc/sys/vm/min_free_kbytes: Operation not supported
rm: /pou/data/.m/11i-default/ref/compat/linux/proc/sys/vm: Operation not supported
rm: /pou/data/.m/11i-default/ref/compat/linux/proc/sys/kernel/random/uuid: Operation not supported
rm: /pou/data/.m/11i-default/ref/compat/linux/proc/sys/kernel/random: Operation not supported
[...]

But does not produce a log or more details why it fails.

It's really strange.
Comment 12 Kurt Jaeger freebsd_committer 2018-11-28 20:33:51 UTC
Now that 10.x is no longer relevant for this PR, and as 7.6 is on the horizont,
a new attempt will be done (pending patch from Piotr).
Comment 13 Piotr Kubaj freebsd_committer 2018-12-12 19:00:32 UTC
Created attachment 200065 [details]
patch

Please test.

This passes Poudriere builds on 11.2-RELEASE amd64 and i386, but there may be some quirks left.
Comment 14 Tijl Coosemans freebsd_committer 2019-01-04 20:27:44 UTC
Have you tested opengl?  What does glxinfo print?  I suspect you need the libglvnd packages.
I don't think you need to give libGLX_system.so.0 special treatment.  This was done for libGL and libEGL to deal with the conflict with nvidia-driver.
I think you forgot to update linux-c7-xorg-libs.
Comment 15 Gleb Popov freebsd_committer 2019-04-01 07:05:03 UTC
Any progress on this? I wanted to create a port for audit-libs package, but itsn't present in current linux-c7.
Comment 16 Tijl Coosemans freebsd_committer 2019-06-01 15:53:47 UTC
Created attachment 204762 [details]
patch2

This patch updates all linux-c7 ports and addresses conflicts between nvidia-driver and the new linux-c7-libglvnd.
Comment 17 commit-hook freebsd_committer 2019-06-08 12:14:35 UTC
A commit references this bug:

Author: tijl
Date: Sat Jun  8 12:13:55 UTC 2019
New revision: 503722
URL: https://svnweb.freebsd.org/changeset/ports/503722

Log:
  Update CentOS 7 ports to 7.6.1810.

  This adds some new ports:
  converters/linux-c7-fribidi required by x11-toolkits/linux-c7-pango.
  graphics/linux-c7-libglvnd required by graphics/linux-c7-dri.
  graphics/linux-c7-wayland required by graphics/linux-c7-dri.
  print/linux-c7-freetype unbundled from emulators/linux_base-c7 because it
  depends on graphics/linux-c7-png now.

  Mesa OpenGL libraries in graphics/linux-c7-dri now support libglvnd (GL
  Vendor-Neutral Dispatch library) which allows some applications to use
  Mesa while others use Nvidia OpenGL.  The x11/nvidia-driver* ports have
  been changed so versions above 390.42 now use CentOS libglvnd and no longer
  install a bundled copy.

  PR:		229431
  Submitted by:	pkubaj (partly)

Changes:
  head/Mk/Uses/linux.mk
  head/accessibility/linux-c7-atk/Makefile
  head/accessibility/linux-c7-atk/distinfo
  head/accessibility/linux-c7-atk/pkg-plist.amd64
  head/accessibility/linux-c7-atk/pkg-plist.i386
  head/audio/linux-c7-alsa-lib/Makefile
  head/audio/linux-c7-alsa-lib/distinfo
  head/audio/linux-c7-alsa-lib/pkg-plist.amd64
  head/audio/linux-c7-alsa-lib/pkg-plist.i386
  head/audio/linux-c7-alsa-plugins-oss/Makefile
  head/audio/linux-c7-alsa-plugins-oss/distinfo
  head/audio/linux-c7-alsa-plugins-oss/pkg-plist.amd64
  head/audio/linux-c7-alsa-plugins-oss/pkg-plist.i386
  head/audio/linux-c7-alsa-plugins-pulseaudio/Makefile
  head/audio/linux-c7-alsa-plugins-pulseaudio/distinfo
  head/audio/linux-c7-alsa-plugins-pulseaudio/pkg-plist.amd64
  head/audio/linux-c7-alsa-plugins-pulseaudio/pkg-plist.i386
  head/audio/linux-c7-alsa-utils/Makefile
  head/audio/linux-c7-alsa-utils/distinfo
  head/audio/linux-c7-alsa-utils/pkg-plist.i386
  head/audio/linux-c7-libvorbis/Makefile
  head/audio/linux-c7-libvorbis/distinfo
  head/audio/linux-c7-pulseaudio-libs/Makefile
  head/audio/linux-c7-pulseaudio-libs/distinfo
  head/audio/linux-c7-pulseaudio-utils/Makefile
  head/audio/linux-c7-pulseaudio-utils/distinfo
  head/converters/Makefile
  head/converters/linux-c7-fribidi/
  head/converters/linux-c7-fribidi/Makefile
  head/converters/linux-c7-fribidi/distinfo
  head/converters/linux-c7-fribidi/pkg-plist.amd64
  head/converters/linux-c7-fribidi/pkg-plist.i386
  head/devel/linux-c7-dbus-libs/Makefile
  head/devel/linux-c7-dbus-libs/distinfo
  head/devel/linux-c7-dbus-libs/pkg-plist.amd64
  head/devel/linux-c7-dbus-libs/pkg-plist.i386
  head/devel/linux-c7-devtools/Makefile
  head/devel/linux-c7-devtools/distinfo
  head/devel/linux-c7-devtools/pkg-plist.amd64
  head/devel/linux-c7-devtools/pkg-plist.i386
  head/devel/linux-c7-icu/Makefile
  head/devel/linux-c7-icu/distinfo
  head/devel/linux-c7-libelf/Makefile
  head/devel/linux-c7-libelf/distinfo
  head/devel/linux-c7-libelf/pkg-plist.amd64
  head/devel/linux-c7-libelf/pkg-plist.i386
  head/devel/linux-c7-libgfortran/Makefile
  head/devel/linux-c7-libgfortran/distinfo
  head/devel/linux-c7-libpciaccess/Makefile
  head/devel/linux-c7-libpciaccess/distinfo
  head/devel/linux-c7-nspr/Makefile
  head/devel/linux-c7-nspr/distinfo
  head/devel/linux-c7-qt/Makefile
  head/devel/linux-c7-qt/distinfo
  head/devel/linux-c7-qt/pkg-plist.amd64
  head/devel/linux-c7-qt/pkg-plist.i386
  head/devel/linux-c7-sdl20/Makefile
  head/devel/linux-c7-sdl20/distinfo
  head/devel/linux-c7-sdl20/pkg-plist.amd64
  head/emulators/linux-c7/Makefile
  head/emulators/linux_base-c7/Makefile
  head/emulators/linux_base-c7/distinfo
  head/emulators/linux_base-c7/pkg-plist.amd64
  head/emulators/linux_base-c7/pkg-plist.i386
  head/ftp/linux-c7-curl/Makefile
  head/ftp/linux-c7-curl/distinfo
  head/graphics/Makefile
  head/graphics/linux-c7-cairo/Makefile
  head/graphics/linux-c7-cairo/distinfo
  head/graphics/linux-c7-cairo/pkg-plist.amd64
  head/graphics/linux-c7-cairo/pkg-plist.i386
  head/graphics/linux-c7-dri/Makefile
  head/graphics/linux-c7-dri/distinfo
  head/graphics/linux-c7-dri/pkg-plist.amd64
  head/graphics/linux-c7-dri/pkg-plist.i386
  head/graphics/linux-c7-gdk-pixbuf2/Makefile
  head/graphics/linux-c7-gdk-pixbuf2/distinfo
  head/graphics/linux-c7-gdk-pixbuf2/pkg-plist.amd64
  head/graphics/linux-c7-gdk-pixbuf2/pkg-plist.i386
  head/graphics/linux-c7-glx-utils/Makefile
  head/graphics/linux-c7-glx-utils/distinfo
  head/graphics/linux-c7-jasper/Makefile
  head/graphics/linux-c7-jasper/distinfo
  head/graphics/linux-c7-jpeg/Makefile
  head/graphics/linux-c7-jpeg/distinfo
  head/graphics/linux-c7-libglvnd/
  head/graphics/linux-c7-libglvnd/Makefile
  head/graphics/linux-c7-libglvnd/distinfo
  head/graphics/linux-c7-libglvnd/pkg-descr
  head/graphics/linux-c7-libglvnd/pkg-plist.amd64
  head/graphics/linux-c7-libglvnd/pkg-plist.i386
  head/graphics/linux-c7-wayland/
  head/graphics/linux-c7-wayland/Makefile
  head/graphics/linux-c7-wayland/distinfo
  head/graphics/linux-c7-wayland/pkg-plist.amd64
  head/graphics/linux-c7-wayland/pkg-plist.i386
  head/net/linux-c7-avahi-libs/Makefile
  head/net/linux-c7-avahi-libs/distinfo
  head/net/linux-c7-openldap/Makefile
  head/net/linux-c7-openldap/distinfo
  head/net/linux-c7-openldap/pkg-plist.amd64
  head/net/linux-c7-openldap/pkg-plist.i386
  head/print/Makefile
  head/print/linux-c7-cups-libs/Makefile
  head/print/linux-c7-cups-libs/distinfo
  head/print/linux-c7-freetype/
  head/print/linux-c7-freetype/Makefile
  head/print/linux-c7-freetype/distinfo
  head/print/linux-c7-freetype/pkg-plist.amd64
  head/print/linux-c7-freetype/pkg-plist.i386
  head/print/linux-c7-harfbuzz/Makefile
  head/print/linux-c7-harfbuzz/distinfo
  head/print/linux-c7-harfbuzz/pkg-plist.amd64
  head/print/linux-c7-harfbuzz/pkg-plist.i386
  head/security/linux-c7-cyrus-sasl2/Makefile
  head/security/linux-c7-cyrus-sasl2/distinfo
  head/security/linux-c7-gnutls/Makefile
  head/security/linux-c7-gnutls/distinfo
  head/security/linux-c7-gnutls/pkg-plist.amd64
  head/security/linux-c7-gnutls/pkg-plist.i386
  head/security/linux-c7-libssh2/Makefile
  head/security/linux-c7-libssh2/distinfo
  head/security/linux-c7-nss/Makefile
  head/security/linux-c7-nss/distinfo
  head/security/linux-c7-openssl/Makefile
  head/security/linux-c7-openssl/distinfo
  head/x11/linux-c7-xorg-libs/Makefile
  head/x11/linux-c7-xorg-libs/distinfo
  head/x11/linux-c7-xorg-libs/pkg-plist.amd64
  head/x11/linux-c7-xorg-libs/pkg-plist.i386
  head/x11/nvidia-driver/Makefile
  head/x11/nvidia-driver/pkg-plist
  head/x11/nvidia-driver-304/Makefile
  head/x11/nvidia-driver-340/Makefile
  head/x11-fonts/linux-c7-fontconfig/Makefile
  head/x11-fonts/linux-c7-fontconfig/distinfo
  head/x11-fonts/linux-c7-fontconfig/pkg-plist.amd64
  head/x11-fonts/linux-c7-fontconfig/pkg-plist.i386
  head/x11-toolkits/linux-c7-openmotif/Makefile
  head/x11-toolkits/linux-c7-openmotif/distinfo
  head/x11-toolkits/linux-c7-pango/Makefile
  head/x11-toolkits/linux-c7-pango/distinfo
  head/x11-toolkits/linux-c7-pango/pkg-plist.amd64
  head/x11-toolkits/linux-c7-pango/pkg-plist.i386
  head/x11-toolkits/linux-c7-qt-x11/Makefile
  head/x11-toolkits/linux-c7-qt-x11/distinfo
  head/x11-toolkits/linux-c7-qt-x11/pkg-plist.amd64
  head/x11-toolkits/linux-c7-qt-x11/pkg-plist.i386